<template functional>
  <div
    :ref="data.ref"
    class="a-striped-card-ui"
    :class="[
      'flex border rounded overflow-hidden',
      data.class,
      data.staticClass,
    ]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <div class="a-striped-card-ui__stripe flex-shrink-0">
      <!--
        @slot Stripe area.
      -->
      <slot name="stripe" />
    </div>

    <div class="a-striped-card-ui__content w-full">
      <!--
        @slot Content area.
      -->
      <slot />
    </div>
  </div>
</template>

<script>
export default {
  name: 'AStripedCardUi',
};
</script>

<style>
/* prettier-ignore */
.a-striped-card-ui {
  --a-striped-card-ui--def-min-h: 8rem; /* theme('spacing.32') */
  --a-striped-card-ui--def-max-w: 24rem; /* theme('maxWidth.sm') */
  --a-striped-card-ui--def-border-color: transparent; /* theme('colors.transparent') */
  --a-striped-card-ui--def-bg-color: hsl(220, 16%, 96%); /* theme('colors.gray.100') */
  --a-striped-card-ui--stripe--def-bg-color: hsl(220, 9%, 46%); /* theme('colors.gray.500') */
  --a-striped-card-ui--stripe--def-text-color: hsl(0, 0%, 100%); /* theme('colors.white') */

  min-height: var(--a-striped-card-ui--min-h, var(--a-striped-card-ui--def-min-h));
  max-width: var(--a-striped-card-ui--max-w, var(--a-striped-card-ui--def-max-w));
  border-color: var(--a-striped-card-ui--border-color, var(--a-striped-card-ui--def-border-color));
}

/* prettier-ignore */
.a-striped-card-ui__stripe {
  min-width: .5rem; /* theme('spacing.2') */
  background-color: var(--a-striped-card-ui--stripe--bg-color, var(--a-striped-card-ui--stripe--def-bg-color));
  color: var(--a-striped-card-ui--stripe--text-color, var(--a-striped-card-ui--stripe--def-text-color));
}

/* prettier-ignore */
.a-striped-card-ui__content {
  background-color: var(--a-striped-card-ui--bg-color, var(--a-striped-card-ui--def-bg-color));
}

.a-striped-card-ui__stripe > *,
.a-striped-card-ui__content > * {
  height: 100%;
}
</style>
